Subject: Re: [MOBILE-IP] IPv6 user with Foreign Agent CoA!?

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Wed, 29 Nov 2000 01:03:55 +1100

> Let us assume that I am an IPv6 mobile host, and I usually decapsulate
> datagrams
> coming from my Home Agent by myself, since in IPv6 only
> Co-located Care-of Addresses exist.
>
> During my motion, I have to attach myself to a Mobile Router.
> It has got only one Co-located Care-of Address and it
> has to manage with it the whole mobile network that is behind it.
> This is not a problem, since it can assign to all
> the hosts of the mobile network, a Foreign Agent CoA, and in order to
> correctly forward the packets, it can decapsulate the datagrams and
> look at the home addresses in the inner headers.
>
> But this time it cannot assign to me my own Co-located Care-of Address,
> even if I am an IPv6 host and I would wish to acquire only Co-located
> CoAes.
> As a matter of fact all the hosts attached to this mobile router have
> to share the only CoA assigned to it.
> So the mobile router will decapsulate also the datagrams directed to me,
>
> and it will forward them directly on the network, without encapsulation.
>
> The question is:
> Is that a problem, if I receive already decapsulated datagrams, even
> if usually I decapsulate them by myself?!
>
> Clarifications are welcome.
>
        => Your scenario is supported in draft-ietf-mobileip-hmipv6-02
        which will be on the web very soon. I think you'll get the answer
        you're looking for there.
        But as a short answer, no there is no problem because the MN
        doesn't think that it moved since it is still sending and receiving
        packets using its Home address.

---

From: Matteo Berioli <[email-masked]>
Date: Tue, 28 Nov 2000 16:02:09 +0100

>         packets using its Home address.

The problem is just this:
I would like the MN to know it moved, so it can update its CNs and its Home
Agent by itself.
As a matter of fact the router to which the MN is attached, cannot know its
CNs, so only the MN can inform them of the new CoA.
So I would desire to communicate to the MN the CoA, so it can update its CNs;
but I would also like it to be able to receive already decapsulated datagrams.

Thanks,
regards,
Matteo